#! /usr/bin/env ruby
# -*- coding: utf-8-*-

money = 0
mone = 0


def doko(z)
  if z==1
    print"城に行くよ\n"

  elsif z==2
    print"防具屋に行くよ\n"
    
  else
    print"行けないよ\n"
  end
  
end


def hp(q,money)
  if q==1
    money -= 200
    hp_bougu=10
    
  elsif q==2
    money -= 100
    hp_bougu=7

  elsif q==3
    money -= 50
    hp_bougu=5
    
  else
    print"その防具はごめん売ってないんだ\n"
    print"1.2.3から選んでね\n"
    
  end
  return hp_bougu,money
  
end

def power(a,mone)
  
  if a==1 
    mone -= 700
    power_buki=20
    

  elsif a==2
    mone -= 500
    power_buki=15

  elsif a==3
    mone -= 300
    power_buki=10
  else
    print"その剣はごめん売ってないんだ\n"
    print"1.2.3から選んでね!\n"
  end
 return power_buki,mone
  
end

def ou(s)
  if s==1
    print"行くのか!\n"
    print"ならこれを持ってけ\n"
    print"-勇者の剣をゲットした-\n"
    power_ken=100
  else
    print"どっち"
  end
  power_ken 
  end

    def uo(w)
      if w==2
        puts"行かぬのか"
        puts"これで身でも守っとれ"
        puts"-勇者の盾をゲットした-"
        power_tate=100

  else
    print"どっち?"
  end
  hp_tate 
end
    puts"ある日目覚めたら知らないところにいた"
    puts"そこで自分は、勇者というらしい"
    puts"(村長)これやる"
print"-村長から1000ガルもらった。-\n"
money += 1000
while true
  puts"----------------------------------------------------------------------------"
puts"どこ行く?"
puts"1.城"
puts"2.防具屋"
ddo=gets.to_i

doko(ddo)

if ddo==1
  
  puts"お前が勇者か"
  puts"行くのか?"
  puts"1.行く!"
  puts"2.行かない"
  iku=gets.chomp.to_i
  
  ou(iku)

end
if  ddo==2

  while true
    puts"防具"
    puts"1.金の鎧700ガル 2.医師の鎧500ガル 3.動の鎧300ガル"
    bougu=gets.to_i
    puts"武器"
    puts"1.剣200ガル 2.斧100ガル 3.ツルハシ50ガル"
    buki=gets.to_i
    
   power_buki,mone=power(buki,mone)
   hp_bougu,money=hp(bougu,money)
   
    p bougu,buki
    if bougu <= 4
      break
      
    elsif bougu >= 3
      redo
      
    elsif buki <= 4
      break
      
    elsif buki >= 3
      print"その剣はごめん売ってないんだ\n"
      redo
      
    end
  end
  printf("ステータスは、power%d,hp%dです。\n",power_buki,hp_bougu)
end
redo
end
end



